﻿/*----------------------------------------------------------
The base color for this template is #5c87b2. If you'd like
to use a different color start by replacing all instances of
#5c87b2 with your new color.
----------------------------------------------------------*/
body
{
    background-color: #5c87b2;
    /*background-image: url('images/wrbGradientVSmall.png');*/
    /*background-repeat: repeat-x;*/
    font-size: .75em;
    font-family: Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    color: #696969;
}

a:link
{
    color: #034af3;
    text-decoration: underline;
}
a:visited
{
    color: #505abc;
}
a:hover
{
    color: #1d60ff;
    text-decoration: none;
}
a:active
{
    color: #12eb87;
}

p, ul
{
    margin-bottom: 20px;
    line-height: 1.6em;
}

/* HEADINGS   
----------------------------------------------------------*/
h1, h2, h3, h4, h5, h6
{
    font-size: 1.5em;
    color: #000;
    font-family: Arial, Helvetica, sans-serif;
}

h1
{
    font-size: 2em;
    padding-bottom: 0;
    margin-bottom: 0;
}
h2
{
    /*padding: 0 0 10px 0;*/
}
h3
{
    font-size: 1.2em;
}
h4
{
    font-size: 1.1em;
}
h5, h6
{
    font-size: 1em;
}

/* this rule styles <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0;
}

/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

/* you can specify a greater or lesser percentage for the 
page width. Or, you can specify an exact pixel width. */
.page
{
    width: 98%;
    margin-left: auto;
    margin-right: auto;
    /*background: #fff;*/
}

#header
{
    position: relative;
    margin-bottom: 0px;
    /*background: #fff;*/
    color: #000;
    padding: 5px 0 0 0;   
}

#header h1
{    
    font-weight: bold;
    padding: 0;
    margin: 0;
    color: #fff;
    border: none;
    /*line-height: 2em;*/
    font-family: Arial, Helvetica, sans-serif;
    font-size: 32px !important;
}

#main
{
    clear: both; 
    overflow: auto;
    /*max-height:700px;*/
    /* width: 100%; */
    padding: 10px; /*30px 30px 15px 30px;*/
    background-color: #fff;
    border-radius: 4px 0 10px 10px;
    margin-bottom: 30px;
    _height: 1px; /* only IE6 applies CSS properties starting with an underscrore */
}

#footer
{
    color: #999;
    padding: 10px 0;
    text-align: center;
    line-height: normal;
    margin: 0;
    font-size: .9em;
}

/* TAB MENU   
----------------------------------------------------------*/
ul#menu
{
    /*border-bottom: 1px #5C87B2 solid;*/
    padding: 0 /*0 2px 0*/;
    position: relative;
    margin: 0;
    text-align: right;
    
}

ul#menu li
{
    display: inline;
    list-style: none;
}

ul#menu li#greeting
{
    padding: 10px 20px;
    font-weight: bold;
    text-decoration: none;
    line-height: 2.8em;
    color: #fff;
}

ul#menu li a
{
    padding: 10px 20px;
    font-weight: bold;
    text-decoration: none;
    line-height: 2.8em;
    background-color: #e8eef4;
    color: #034af3;
    border-radius: 4px 4px 0 0;
    -webkit-border-radius: 4px 4px 0 0;
    -moz-border-radius: 4px 4px 0 0;
}

ul#menu li a:hover
{
    background-color: #fff;
    text-decoration: none;
}

ul#menu li a:active
{
    background-color: #a6e2a6;
    text-decoration: none;
}

ul#menu li.selected a
{
    background-color: #fff;
    color: #000;
}

ul#menu li.selected a:hover
{
    background-color: #fff;
    color: #000;
}

/* FORM LAYOUT ELEMENTS   
----------------------------------------------------------*/

fieldset 
{
    margin: 1em 0;
    padding: 1em;
    border: 1px solid #CCC;
}

fieldset p 
{
    margin: 2px 12px 10px 10px;
}

fieldset label 
{
    display: block;
}

label.inline 
{
    display: inline-block;
    float: left;
    padding: 0 0 2px 0;
}

label.unit 
{
    display: inline-block;
    float: left;
    width: 10em;
    padding: 0 0 2px 0;
    height: 20px;
    vertical-align: middle;
}

.formEntry label { margin: 2px 0; }
.formEntry input[type="text"] { margin: 2px 0; } 

legend 
{
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

input[type="text"] 
{
    width: 200px;
    border: 1px solid #CCC;
}

input[type="password"] 
{
    width: 200px;
    border: 1px solid #CCC;
}

input { margin: 2px 0; }
select { margin: 2px 0 ;}

.form-entry { 
    display: inline-block; 
    vertical-align: top;
    padding-right: 5em;
}

.form-entry p {
    min-height: 50px;
}

.form-entry.compact label {
    display: inline-block; 
    width: 8em;
}

.form-entry.compact input {
    width: 5em;
}

.display-label,
.editor-label, .editor-label-custom {
    margin: 1em 0 0 0;
}

.editor-label-custom {
    display: inline-block;
}

.display-field,
.editor-field {
    margin: 0;
    min-height: 26px;
}

.display-field select,
.editor-field select {
    width: 220px;
    padding: 1px;
}

/* TABLE
----------------------------------------------------------*/

table 
{
  border: solid 1px #e8eef4;
  border-collapse: collapse;
}

table td 
{
  padding: 3px;   
  border: solid 1px #e8eef4;
}

table th
{
  padding: 6px 3px;
  text-align: left;
  background-color: #e8eef4; 
  border: solid 1px #e8eef4;   
}

.customTable
{
  border: solid 1px #e8eef4;
  border-collapse: collapse;
  font-weight:normal;
  width:100%;
}

.customTable td 
{
  padding: 5px;   
  border: solid 1px #e8eef4;
}

.customTable tr 
{
    font-weight:normal;
    }
.customTable th 
{
    font-weight:lighter;
}

tr.rs td
{
    background-color: #FF0000;
    color: Black;
}

table.padded { border: none; }
table.padded tr { border: none; }
table.padded td { padding: 5px 5px; border: none; }

#schedule-table
{
    width: 100%;
    border: 1px solid #e8eef4; 
}

#schedule-table th
{
    text-align: center;        
}

#schedule-table td 
{
    vertical-align: top;
}

#schedule-table td.centered 
{
    vertical-align: middle;
    text-align: center;
    background-color: #e8eef4;
    font-weight: bold;
    padding: 0; margin: 0;
}

/*#schedule-table tr:nth-child(odd)
{
    background: #F5F5FF; 
    background-color: #F5F5FF;
}*/

#schedule-table td.fixed-height{ height: 72px; }

table.inner-table
{
    width: 100%;
    border: none;    
}

table.inner-table td 
{   
    padding: 2px;
    border: none;
}

table.inner-table th
{
    padding: 2px;
    font-weight: normal;
}

table.inner-table td.address 
{
    width: 130px;
}

table.summary-table { color: #000; }

table.nostyle{ border: none; display: block; /*height: 120px;*/}
table.nostyle th { border: none; background-color: #fff; }
table.nostyle td { border: none; padding: 5px;}

table.hover tr:hover { background: #E3E3FF; background-color: #E3E3FF; }

tr.clickable-row:hover { cursor: pointer;background: #F3F3FF; }

.visits 
{
    color: #000;
    background-color: #eaea22;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    
}

table td.am { background: #C2D3E8; width: 24px; } /* #F6FD95; #DBE7C3;*/
table td.pm { background: #A0BBDC; width: 24px; } /*#A6BFDE; #BBD18F;*/
table td.ampm { background: #769DCC; width: 24px; } /*#FCD6B6; #9BBB59;*/

/* MISC  
----------------------------------------------------------*/
.clear
{
    clear: both;
}

.error
{
    color:Red;
}

#menucontainer
{
    margin-top: 0;
    /*clear: both;*/
    float: right;
    padding-top: 45px;    
}

div#title
{
    display:inline;
    float:left;
    /*text-align:left;*/
    margin-bottom:0;
}

#logindisplay
{
    font-size:1.1em;
    display:block;
    text-align:right;
    /*margin:10px;*/
    color:White;
}

#logindisplay a:link
{
    color: white;
    text-decoration: underline;
}

#logindisplay a:visited
{
    color: white;
    text-decoration: underline;
}

#logindisplay a:hover
{
    color: white;
    text-decoration: none;
}

.field-validation-error
{
    color: #ff0000;
}

.input-validation-error
{
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

.validation-summary-errors
{
    font-weight: bold;
    color: #ff0000;
}

/* End of default styles
------------------------ */

.contentContainer
{
    width: 95%;
    margin: auto;
}
.displayContainerOuter
{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    margin-bottom: 5px;
    background-color: #B3CBDF;
}
.displayContainerInner
{
    background-color: #ffffff;
    border: solid 2px #B3CBDF;
}
.displayContainerTable
{
    background-color: #ffffff;
    border: solid 2px #B3CBDF;
    text-align:center;
    padding: 10px 0 20px 0;
}
.activityHeadWrapper
{
    background-color: #D2E0EC;
    border-bottom: solid 2px #B3CBDF;
}
.activityHead
{
    font-weight: bold;
    color: #0B294F;
    padding: 4px;
}
.activityBody
{
    background-color: #ffffff;
    padding: 3px 3px 8px 3px;
}

.adminItemContainer
{
    background-position: left;
    background-repeat: no-repeat;
    padding-left: 55px;
    padding-top: 35px;
    width: 100%;
    height: 50px;
}

.adminItemContainer.generateCP12
{
    background-image: url('pdf.png');        
}

.adminItemContainer.jobMonitor
{
    background-image: url('monitor.png');
}

.adminItemContainer.landlordJobs
{
    background-image: url('home.png');
}
.adminItemContainer.scheduledJobs
{
    background-image: url('ScheduledJobs.png');
}
.adminItemContainer.assignEngineer
{
    background-image: url('engineer.png');
}
.adminItemContainer.userAccounts
{
    background-image: url('useraccount.png');
}
.adminItemContainer.userPassword
{
    background-image: url('password.png');
}
.adminItemContainer.createUser
{
    background-image: url('user.png');
}
.adminItemContainer.properties
{
    background-image: url('properties.png');
}

.adminItemContainer.valuation
{
    background-image: url('invoice.png');
}

.adminItemContainer.syncDetails
{
    background-image: url('ms-sync-s.png');
}

.adminItemContainer.syncSummary
{
    background-image: url('SyncDifferent.png');
}

.adminItemContainer.appSettings
{
    background-image: url('Process.png');
}

.adminItemContainer.engineerSchedule
{
    background-image: url('calendar_date.png');
}

.adminItemContainer.tabletSettings
{
    background-image: url('tablet-image.jpg');
}

.adminItemContainer.phoneSettings 
{
    background-image: url('phone-image.png');
}

.addIcon
{
    background-image: url('add.png');
}

.adminItemContainer.listIcon
{
    background-image: url('list.jpg');
}

.adminItemContainer.searchIcon
{
    background-image: url('search.png');
}

.adminItemContainer.detectorAudit
{
    background-image: url('detector.png');
}

div.icon-container {
    background-position: left top;
    background-repeat: no-repeat;
    padding-left: 55px;
    padding-top: 15px;    
    height: 60px;
    display: block;
}

a.icon-container {
    background-position: left top;
    background-repeat: no-repeat;
    background-size: 32px;
    padding-left: 40px;
    padding-top: 8px;    
    height: 40px;
    display: inline-block;
}

a.icon-container-small {
    background-position: left top;
    background-repeat: no-repeat;
    background-size: 20px;
    padding-left: 28px;
    padding-top: 2px;    
    height: 20px;
    display: inline-block;
}

.divJobList
{
    height:auto;
    max-height:400px;
    width:80%;
    overflow:auto;
    margin:auto;
    margin-bottom:10px;
}

.divJobListDisplay
{
    height:auto;
    max-height:370px;
    width:100%;
    overflow:auto;
    margin-bottom:10px;
}

.divJobListMonitor
{
    height:auto;
    max-height:440px;
    width:100%;
    overflow:auto;
    margin-bottom:10px;
}
    
.divJobListHeader
{
    width:100%;    
}

.divScrollBar
{
    height:500px;
    width:600px;
    overflow:scroll;
}


/* Traffic Light System */
.redbg { background: #F44; background-color: #F44; color: #222;}
.orangebg { background: Orange; background-color: Orange; color: #222; }
.yellowbg { background: Yellow; background-color: Yellow; color: #222; }
.greenbg { background: Lime; background-color: Lime; color: #222; }

.red { color: Red; }
.orange { color: Orange; }
.yellow { color: Yellow; }
.green { color: Lime; }

/* Highlight alternate rows */
.highlight { background: #F5F5FF; background-color: #F5F5FF; }

#table tr:hover { background: #E3E3FF; background-color: #E3E3FF; }

/* Pager  */
.PagedList-pager > ul{
	display: block;
	margin: 0;
	padding: 0;
	list-style: none;
}
.PagedList-pager > ul > li{
	margin: .25em;
	display: inline-block;
}
.PagedList-goToPage > fieldset{
	border: 0;
}

/* tabs */
#tabs 
{
    height: 10px;
    /*line-height: 20px;  */  
    margin: 0;
    padding: 0;
    text-align: left;    
}

#tabs ul
{
    list-style: none;
    padding-left: .5em;
}

#tabs li 
{
    float: left;
    color: #FFF;
    padding: 0; /*.25em 0 .25em;*/
    margin: .125em;
    /**/
    background: #e8eef4;   
    border: 1px solid #CCC;
    /*border-right: 2px solid #FFF;*/
}

#tabs a, #tabs a:link, #tabs a:active, #tabs a:visited {
	padding: 0 .75em .25em .75em;
	text-decoration: none;
	color: #696969;
	display: block;	
	
}

#tabs a:hover {
	text-decoration: none;
	background: #FFF;
	color: #696969;
	display: block;
}

#tabs li.selected { border-bottom: 2px solid #FFF; background: #FFF; color: #000; }
#tabs li.selected a, #tabs li.selected a:hover { color: #333; }

#tabContentWrapper { /*clear: both;*/ margin: 0; padding: 1em; min-height: 30em; height: 100%; border: 1px solid #CCC; }

#propertyDetails { display: none; }
#propertyDiary { display: none; }
#propertyAppliances { display: none; }

.alignInputs
{
    width: 12em;
}

.alignRight { text-align: right; }
.alignLeft { text-align: left; }

.property-info {
    display: inline-block;
    vertical-align: top;
    padding-left: 5em;
}

.property-info:first-child {
    padding: 0;
}

input[type=text] {padding: 2px;}

td.service{
    background-color: #d7dde3 !important;    
}

#user-area-control {
    /*visibility: hidden;*/
    display: none;
    margin-left: 5em;
    
}

#user-area-control label {
    width: 13em;
}

/* pad calendar img */
.ui-datepicker-trigger { padding-left: 4px;}

.LeftLabelColumn
{
    display: block;
    margin-left: 10px;
    margin-right: 10px;
    height: 22px;
    padding-top: 5px;
}

.LeftValueColumn
{
    display: block;
    margin-left: 10px;
    margin-right: 10px;
}


.ui-progressbar-value { background-image: url(images/pbar-ani.gif); }